Skip to main content

Earn Level Configuration

Returns the points thresholds and distribution weights for each Earn Level (L0–L5).

GET /points/earn-level-config

No authentication required.

Response

[
{ "level": 0, "points_min": 0, "points_max": 999, "weight": 4 },
{ "level": 1, "points_min": 1000, "points_max": 9999, "weight": 8 },
{ "level": 2, "points_min": 10000, "points_max": 49999, "weight": 12 },
{ "level": 3, "points_min": 50000, "points_max": 199999, "weight": 25 },
{ "level": 4, "points_min": 200000, "points_max": 499999, "weight": 60 },
{ "level": 5, "points_min": 500000, "points_max": null, "weight": 120 }
]

Response Fields

FieldTypeDescription
levelintEarn Level (0–5)
points_minintMinimum total points to reach this level (inclusive)
points_maxint | nullMaximum total points for this level; null for L5 (no upper bound)
weightintSeason token distribution weight multiplier

Field names are points_min / points_max (not min_points / max_points).

Code Examples

Python

import requests

BASE_URL = "https://api.primit.io/api/v1"

resp = requests.get(f"{BASE_URL}/points/earn-level-config")
levels = resp.json()

for lvl in levels:
upper = lvl['points_max'] if lvl['points_max'] else "∞"
print(f"L{lvl['level']}: {lvl['points_min']:,}{upper} weight={lvl['weight']}")